CoCoA-5 - Feature #419

FloatStr
06 Jan 2014 12:37 - John Abbott

Status: Closed Start date: 06 Jan 2014
Priority: Normal Due date:

Assignee: John Abbott % Done: 100%
Category: Incomplete function Estimated time: 2.00 hours
Target version: CoCoA-5.1.0 Easter14 Spent time: 1.50 hour
Description

FloatStr still uses interpreted C5 code; change it to use the C++ version (which is usefully faster for large numbers).

Related issues:

Related to CoCoA-5 - Design #534: Remove float.cpkg5 Closed 10 Apr 2014
Related to CoCoALib - Slug #537: FloatStr uses too much memory New 16 Apr 2014
History

#1 - 06 Jan 2014 12:43 - John Abbott

While we're looking at the C++ version of FloatStr (which works via MantExp), try profiling on some larger values (e.g. factorial(1078)).

#2 - 02 Apr 2014 09:54 - Anna Maria Bigatti
- Category set to Incomplete function

- Assignee set to John Abbott

- Target version set to CoCoA-5.1.0 Easter14

#3 - 04 Apr 2014 17:08 - John Abbott

- Status changed from New to In Progress
- % Done changed from 0 to 10

- Estimated time set to 2.00 h

This should be quick & easy!

#4 - 16 Apr 2014 08:44 - Anna Maria Bigatti
- % Done changed from 10 to 30

| tested the new DecimalStr: I'd prefer 3 digits after "." by default (instead of 4).
| find it more natural to group digits in 3.

#5 - 16 Apr 2014 12:39 - John Abbott
- Status changed from In Progress to Feedback

- % Done changed from 30 to 90

Implementation is in ToString.H/C

DecimalStr now defaults to 3 digits after decimal point.

#6 - 24 Apr 2014 19:53 - John Abbott
- Status changed from Feedback to Closed
- % Done changed from 90 to 100

Completed doc & testing. Anna's happy too. Closing.
